# QListWidget Class Reference

### [com.trolltech.qt.gui package]

Inherits QListView.

### Constructor

- void QListWidget(QWidget parent)

### Constructor Properties

- prototype: The QListWidget prototype object

### Prototype Object Properties

The QListWidget prototype object inherits properties from the QListView prototype object and also has the following properties.

- void addItem(QListWidgetItem item)
- void addItems(List labels)
- void closePersistentEditor(QListWidgetItem item)
- QListWidgetItem currentItem()
- void editItem(QListWidgetItem item)
- List findItems(String text, MatchFlags flags)
- void insertItem(int row, QListWidgetItem item)
- void insertItems(int row, List labels)
- QListWidgetItem item(int row)
- QListWidgetItem itemAt(QPoint p)
- QWidget itemWidget(QListWidgetItem item)
- void openPersistentEditor(QListWidgetItem item)
- void removeItemWidget(QListWidgetItem item)
- int row(QListWidgetItem item)
- List selectedItems()
- void setCurrentItem(QListWidgetItem item)
- void setItemWidget(QListWidgetItem item, QWidget widget)
- void sortItems(SortOrder order)
- QListWidgetItem takeItem(int row)
- QRect visualItemRect(QListWidgetItem item)

### Instance Properties

QListWidget objects inherit properties from the QListWidget prototype object and also have the following properties.

- count
- currentRow
- sortingEnabled